Package org.opensaml.xmlsec.impl

# Class StaticSignatureSigningParametersResolver

java.lang.Object
org.opensaml.xmlsec.impl.StaticSignatureSigningParametersResolver

All Implemented Interfaces:
  `Resolver<SignatureSigningParameters,CriteriaSet>`, `SignatureSigningParametersResolver`

public class StaticSignatureSigningParametersResolver extends Object implements SignatureSigningParametersResolver
Resolve an instance of `SignatureSigningParameters` statically.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SignatureSigningParameters`
`params`
Static parameters.

## Constructor Summary

Constructors
Constructor
Description
`StaticSignatureSigningParametersResolver(SignatureSigningParameters parameters)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterable<SignatureSigningParameters>`
`resolve(CriteriaSet criteria)`
`SignatureSigningParameters`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### params

@Nonnull private SignatureSigningParameters params
Static parameters.

## Constructor Details

### StaticSignatureSigningParametersResolver

public StaticSignatureSigningParametersResolver(@Nonnull SignatureSigningParameters parameters)
Constructor.

Parameters:
  `parameters` - the static parameters instance to return

## Method Details

### resolve

@Nonnull public Iterable<SignatureSigningParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<SignatureSigningParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public SignatureSigningParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<SignatureSigningParameters,CriteriaSet>`
Throws:
  `ResolverException`